@media only screen and (min-width: 320px) {
  /*Padding stuff*/
  .gb-container.no-padding, .is-root-container .gb-container.no-padding, .editor-styles-wrapper .gb-container.no-padding {
    padding: 0;
  }
  .bottom-padding, .is-root-container .bottom-padding, .editor-styles-wrapper .bottom-padding{
    padding:var(--section-padding);
    padding-top:0px;
  }
  .gb-container.no-padding-bottom, 
  .is-root-container .no-padding-bottom, .editor-styles-wrapper .no-padding-bottom{
    padding-bottom:0px;
  }
  .gb-container.no-padding-top, 
  .is-root-container .no-padding-top, .editor-styles-wrapper .no-padding-top{
    padding-top:0px;
  }
  /*Margin stuff*/
  .gb-container.default-margin-top, .is-root-container .gb-container.default-margin-top, .editor-styles-wrapper .gb-container.default-margin-top{
    margin-top:var(--default-margin-top);
  }
  .gb-container.default-margin-bottom, .is-root-container .gb-container.default-margin-bottom, .editor-styles-wrapper .gb-container.default-margin-bottom{
    margin-bottom:var(--default-margin-bottom);
  }
  /*Object fit img*/
  figure:has(> img.object-fit-img), .is-root-container figure:has(> img.object-fit-img){
    height: 100%;
    width: 100%;
    position:relative;
  }
  .object-fit-img, .is-root-container .object-fit-img{
    object-fit: cover;
    object-position: center;
    height: 100%;
    width: 100%;
  }
  /*Green layer on top of image*/
  figure:has(> img.green-layer), .editor-styles-wrapper figure:has(> img.green-layer){
    position:relative;
  }
  figure:has(> img.green-layer):after{
    content:'';
    position: absolute;
    top:0px;
    left:0px;
    width:100%;
    height:100%;
    background: transparent linear-gradient(149deg, #3DF49E00 0%, #3DF49E 100%) 0% 0% no-repeat padding-box;
    mix-blend-mode: multiply;
    transition: all 1s ease-in-out;
  }
  /*Typography stuff*/
  .small-heading, .editor-styles-wrapper .small-heading{
    font-size:20px;
  }
  .huge-heading, .editor-styles-wrapper .huge-heading{
    font-size:60px;
    line-height:0.8em;
  }
  .larger-text, .editor-styles-wrapper .larger-text, .excerpt, .editor-styles-wrapper .excerpt{
    font-size:1.25rem;
  }
  .semi-bold, .editor-styles-wrapper .semi-bold, .excerpt, .editor-styles-wrapper .excerpt{
    font-weight:600;
  }
  .very-large-text, .editor-styles-wrapper .very-large-text, .recommendations-quote{
    font-size:24px;
  }
  .sub-heading, .editor-styles-wrapper .sub-heading{
    font-size:14px;
    font-weight:600;
    color:var(--blue);
    margin-bottom:0px;
  }
  /*Text shadow*/
  .text-shadow, .editor-styles-wrapper .text-shadow{
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  }
  /*Black and white image*/
  .black-and-white, .editor-styles-wrapper .black-and-white{
    filter: grayscale(100%);
  }
  .black-and-white-invert, .editor-styles-wrapper .black-and-white-invert{
    filter: grayscale(100%) invert(1);
  }
  /*Color stuff*/
  .blue-text, .editor-styles-wrapper .blue-text{
    color: var(--blue);
  }
  .green-text, .editor-styles-wrapper .green-text{
    color: var(--green);
  }
  .pink-text, .editor-styles-wrapper .pink-text{
    color: var(--pink);
  }
  .grey-text, .editor-styles-wrapper .grey-text{
    color: var(--grey);
  }
  .grey-bg, .editor-styles-wrapper .grey-bg{
    background: var(--grey);
  }
  .light-blue-bg, .editor-styles-wrapper .light-blue-bg{
    background: var(--light-blue);
  }

  /*Aspect ratio*/
  figure .aspect-ratio-square, .editor-styles-wrapper figure .aspect-ratio-square{
    aspect-ratio: 1 / 1;
  }
}

@media only screen and (min-width: 640px) {

}

@media only screen and (min-width: 768px) {
  /*Max width*/
  .max-width-600-article, .is-root-container .max-width-600-article, .max-width-600, .editor-styles-wrapper .max-width-600 {
    max-width: 600px;
    margin: 0 auto;
  }
  /*Typography stuff*/
  .small-heading, .editor-styles-wrapper .small-heading{
    font-size:25px;
  }
  .huge-heading, .editor-styles-wrapper .huge-heading{
    font-size:80px;
  }
  .very-large-text, .editor-styles-wrapper .very-large-text, .recommendations-quote{
    font-size:40px;
  }
  /*Equal height*/
  .equal-height-image, .editor-styles-wrapper .equal-height-image,
  .equal-height-container, .editor-styles-wrapper .equal-height-container {
        align-items: stretch;
    }
    /* Image container täyttää korkeuden */
    .equal-height-image {
        display: flex;
        flex-direction: column;
        overflow: visible;
    }
    /* Figure vie kaiken vapaatilan */
    .equal-height-image .gb-block-image {
        flex: 1;
        min-height: 0;
    }
    /* Kuva täyttää figuren */
    .equal-height-image .gb-image {
        display: block;
        height: 100%;
        width: 100%;
        object-fit: cover;
        aspect-ratio: 1 / 1;
        --blob-mask-fill: 1.25;
    }
}

@media only screen and (min-width: 1024px) {
  /*Max width*/
  .max-width-600, .is-root-container .max-width-600, 
  .editor-styles-wrapper .max-width-600
  .editor-styles-wrapper .gb-container.max-width-600{
    max-width: 600px;
    margin: 0 auto;
    margin-bottom: 40px;
  }
  .max-width-768, .is-root-container .max-width-768, 
  .editor-styles-wrapper .max-width-768,
  .editor-styles-wrapper .gb-container.max-width-768 {
    max-width: 768px;
    margin: 0 auto;
  }

  .max-width-600-article, .is-root-container .max-width-600-article {
    max-width: 600px;
    margin: 0 auto;
  }
}
@media only screen and (min-width: 1280px) {
  .huge-heading, .editor-styles-wrapper .huge-heading{
    font-size:100px;
  }
}
@media only screen and (max-width: 767px) {
    .hide-in-mobile{
        display: none;
    }
    .white-text-with-shadow-in-mobile{
        color:#ffffff;
        text-shadow:var(--text-shadow);
    }
}
